import { CacheManagerContract, TaggableCacheManagerContract, TaggableStorageContract } from '@ioc:Adonis/Addons/Adonis5-Cache';
export default class TaggableCacheManager implements TaggableCacheManagerContract {
    protected cacheManager: CacheManagerContract;
    protected _tags: string[];
    protected storage: TaggableStorageContract;
    constructor(cacheManager: CacheManagerContract, _tags: string[]);
    get tags(): string[];
    set tags(value: string[]);
    flush(): Promise<void>;
    put<T = any>(key: string, value: T, ttl?: number): Promise<void>;
    putMany<T = any>(cacheDictionary: {
        [p: string]: T;
    }, ttl?: number): Promise<void>;
    protected saveTaggedKeys(keys: string[], ttl?: number): Promise<void>;
    protected buildTagKey(tag: string): string;
}
